Apache Tomcat 6.0.53

## org.apache.catalina.manager.host
Class HTMLHostManagerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.manager.host.HostManagerServlet
                  org.apache.catalina.manager.host.HTMLHostManagerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, ContainerServlet

    public final class HTMLHostManagerServlet

extends HostManagerServlet

Servlet that enables remote management of the virtual hosts deployed on the server. Normally, this functionality will be protected by a security constraint in the web application deployment descriptor. However, this requirement can be relaxed during testing.

The difference between the `HostManagerServlet` and this Servlet is that this Servlet prints out a HTML interface which makes it easier to administrate.

However if you use a software that parses the output of `HostManagerServlet` you won't be able to upgrade to this Servlet since the output are not in the same format as from `HostManagerServlet`

Author:
  Bip Thelin, Malcolm Edgar, Glenn L. Nielsen, Peter Rossbach
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.manager.host.HostManagerServlet
`configBase, context, debug, engine, host, mBeanServer, sm, wrapper`

Constructor Summary
`HTMLHostManagerServlet()`

Method Summary
`protected java.lang.String` | `add(javax.servlet.http.HttpServletRequest request, java.lang.String name)` Add a host using the specified parameters.
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Called by the server (via the `service` method) to allow a servlet to handle a POST request.
`void` | `list(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String message)` Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.
`protected java.lang.String` | `remove(java.lang.String name)` Remove the specified host.
`protected java.lang.String` | `start(java.lang.String name)` Start the host with the specified name.
`protected java.lang.String` | `stop(java.lang.String name)` Stop the host with the specified name.

Methods inherited from class org.apache.catalina.manager.host.HostManagerServlet
`add, add, booleanParameter, destroy, getConfigBase, getWrapper, init, list, remove, setWrapper, start, stop`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLHostManagerServlet

    public HTMLHostManagerServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.

  Overrides:
    `doGet` in class `HostManagerServlet`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Description copied from class: `javax.servlet.http.HttpServlet`
  Called by the server (via the `service` method) to allow a servlet to handle a POST request. The HTTP POST method allows the client to send data of unlimited length to the Web server a single time and is useful when posting information such as credit card numbers.

  When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a `PrintWriter` object to return the response, set the content type before accessing the `PrintWriter` object.

  The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.

  Where possible, set the Content-Length header (with the `ServletResponse.setContentLength(int)` method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.

  When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.

  This method does not need to be either safe or idempotent. Operations requested through POST can have side effects for which the user can be held accountable, for example, updating stored data or buying items online.

  If the HTTP POST request is incorrectly formatted, `doPost` returns an HTTP "Bad Request" message.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - an `HttpServletRequest` object that contains the request the client has made of the servlet
    `response` - an `HttpServletResponse` object that contains the response the servlet sends to the client
  Throws:
    `java.io.IOException` - if an input or output error is detected when the servlet handles the request
    `javax.servlet.ServletException` - if the request for the POST could not be handled
  See Also:
    `ServletOutputStream`, `ServletResponse.setContentType(java.lang.String)`

### add

    protected java.lang.String add(javax.servlet.http.HttpServletRequest request,
                                   java.lang.String name)

  Add a host using the specified parameters.

  Parameters:
    `name` - host name

### remove

    protected java.lang.String remove(java.lang.String name)

  Remove the specified host.

  Parameters:
    `name` - host name

### start

    protected java.lang.String start(java.lang.String name)

  Start the host with the specified name.

  Parameters:
    `name` - Host name

### stop

    protected java.lang.String stop(java.lang.String name)

  Stop the host with the specified name.

  Parameters:
    `name` - Host name

### list

    public void list(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     java.lang.String message)
              throws java.io.IOException

  Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.

  Parameters:
    `request` - The request
    `response` - The response
    `message` - a message to display
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.